|docs
Start Trial

Update an override

Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:

  1. Update your automations to use the V3 API for all new shift-based schedules
  2. Keep the V2 endpoint for your existing schedules

An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.

Update an existing override.

Authorization<token>

The API Key with format Token token=<API_KEY>

In: header

Path Parameters

id*string

The ID of the schedule.

override_id*string

The ID of the override.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Update an event PUT

<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Update an existing event. **Restrictions based on event timing:** - **Past events** (effective_until in the past): Cannot be modified - **Active events** (currently producing shifts): Can only update `effective_until` - **Future events** (effective_since in the future): All fields can be updated

Update a schedule PUT

<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Update schedule metadata (name, description, time zone). All fields are optional — only provided fields are updated. To modify rotations or events, use their respective endpoints. **Rejected fields:** `rotations` and `escalation_policies` are not accepted and will result in a 400 error.